﻿
using System;
using System.Linq;
using System.ComponentModel;
using Wisej.Web;

namespace DataRepeaterFormatting
{
	public partial class Page1 : Page
	{
		public BindingList<Item> Items;

		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			for (int i = 1; i <= 100; i++)
			{
				this.bindingSource1.Add (new Item(i));
			}			
		}

		private void dataRepeater1_ItemUpdate(object sender, DataRepeaterItemEventArgs e)
		{
			var label = e.DataRepeaterItem.Controls.Find("lblValue", true).FirstOrDefault();
			if (label != null && !String.IsNullOrEmpty(label.Text))
			{
				int value = Convert.ToInt32(label.Text);
				label.ForeColor = value > 10 ? System.Drawing.Color.Red : System.Drawing.Color.Black;
			}        
        }
	}
}
